summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Tobias Schmid2013-03-12 02:13:20 +0100
committer dsomero2013-03-22 12:16:41 +0100
commit8a3a9945ec2c74b311eb164c5c8bd2dc8922ca62 (patch)
tree23ce2467739c08ba7007275d99700b002144ce48 /games
parentc384a6e16bf892c97f1683eb8ad701b0b47a2a95 (diff)
downloadslackbuilds-8a3a9945ec2c74b311eb164c5c8bd2dc8922ca62.tar.gz
games/gemrb: Added (Infinity engine open-source implementation)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/gemrb/README3
-rw-r--r--games/gemrb/doinst.sh9
-rw-r--r--games/gemrb/gemrb.SlackBuild103
-rw-r--r--games/gemrb/gemrb.info10
-rw-r--r--games/gemrb/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/games/gemrb/README b/games/gemrb/README
new file mode 100644
index 0000000000..16bfbe2cf4
--- /dev/null
+++ b/games/gemrb/README
@@ -0,0 +1,3 @@
+GemRB is a portable open-source implementation of Bioware's Infinity Engine.
+
+Optional dependencies: OpenAL or SDL_Mixer
diff --git a/games/gemrb/doinst.sh b/games/gemrb/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/gemrb/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/gemrb/gemrb.SlackBuild b/games/gemrb/gemrb.SlackBuild
new file mode 100644
index 0000000000..c1ebde229e
--- /dev/null
+++ b/games/gemrb/gemrb.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for GemRB
+
+# Copyright 2013 Tobias Schmid Albstadt, BW, GER
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gemrb
+VERSION=${VERSION:-0.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_DIR=/usr/lib${LIBDIRSUFFIX}/gemrb \
+ -DPLUGIN_DIR=/usr/lib${LIBDIRSUFFIX}/gemrb/plugins \
+ -DMAN_DIR=/usr/man/man6 \
+ -DDOC_DIR=/usr/doc/${PRGNAM}-${VERSION} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+[ $LIBDIRSUFFIX ] && /usr/bin/sed -i 's/lib/lib64/' $PKG/usr/share/gemrb/minimal/fhs.cfg > /dev/null 2>&1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gemrb/gemrb.info b/games/gemrb/gemrb.info
new file mode 100644
index 0000000000..ec688e4951
--- /dev/null
+++ b/games/gemrb/gemrb.info
@@ -0,0 +1,10 @@
+PRGNAM="gemrb"
+VERSION="0.7.2"
+HOMEPAGE="http://www.gemrb.org"
+DOWNLOAD="http://downloads.sourceforge.net/project/gemrb/GemRB%20Sources/GemRB%200.7.2%20Sources/gemrb-0.7.2.tar.gz"
+MD5SUM="4260fcd42f42ce9232668b202b320b29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tobias Schmid"
+EMAIL="tobias.schmid@gmail.com"
diff --git a/games/gemrb/slack-desc b/games/gemrb/slack-desc
new file mode 100644
index 0000000000..9d77ecb1c8
--- /dev/null
+++ b/games/gemrb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gemrb: gemrb (Infinity engine open-source implementation)
+gemrb:
+gemrb: GemRB is a portable open-source implementation of Bioware's Infinity
+gemrb: Engine.
+gemrb:
+gemrb: Homepage: http://www.gemrb.org
+gemrb:
+gemrb:
+gemrb:
+gemrb:
+gemrb: